import progress from 'rollup-plugin-progress';
import cjs from "rollup-plugin-commonjs";
import node from "rollup-plugin-node-resolve";
import json from '@rollup/plugin-json';


export default {
  input: './modules/server.js',
  output: { file: "build/main.js", format: "cjs", },
  plugins: [
    cjs(),
    progress({
      clearLine: false // default: true
    }),
    node(),
    json(),
  ]
}